#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

#include <algorithm>
using namespace std;

int n,m;

int a[6];
int b[6];
int w[6];

bool test(int x, int y)
{
	if(x==a[2]&&y==b[2]) return true;
	if(x==b[2]&&y==a[2]) return true;
	return false;
}

int main()
{
  freopen("box.in","r",stdin);
  freopen("box.out","w",stdout);

  int i,j,k;
  for(i=0;i<6;i++)
  {
  	scanf("%d%d",&j,&k);
  	if(j>k){int t=j; j=k; k=t;}
  	a[i]=j;
  	b[i]=k;
  }
  for(i=0;i<6;i++) 
    w[i]=1;
  n=0;
  for(i=1;i<6;i++)
  {
  	for(j=i-1;j>=0;j--)
  	if(w[j]==1)
  	 if(a[i]==a[j]&&b[i]==b[j])
  	 {
  	 	w[j]=0;
  	 	w[i]=2;
  	 	break;
  	 }
  }
  for(n=0,i=0;i<6;i++)
   if(w[i]==2)
   {
   	a[n]=a[i];
   	b[n]=b[i];
   	n++;
   }
  bool ok=true;
  if(n!=3)  ok=false;
  int x,y,z;
  if(ok)
  {
        ok=false;
  	if(a[0]==a[1]){
  	   if(test(b[0],b[1])) ok=true;
  	}
  	if(a[0]==b[1]){
  	   if(test(b[0],a[1])) ok=true;
  	}
  	if(b[0]==a[1]){
  	   if(test(a[0],b[1])) ok=true;
  	}
  	if(b[0]==b[1]){
  	   if(test(a[0],a[1])) ok=true;
  	}
  }
  if(ok) puts("POSSIBLE");
  else puts("IMPOSSIBLE");
  return 0;
}